MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
Stream Class Reference

Stream is the base class for buffered input and output for IO objects.

`#include <Stream.h>`

Inheritance diagram for Stream:
[legend]
Collaboration diagram for Stream:
[legend]

## Public Types
enum | { DefaultBufferSize = 1 << 12 }
| Default Buffer Size (4096). More...
enum | Mode { MODE_SET = 0, MODE_CUR = 1, MODE_END = 2 }
| Seek offset origin. More...
typedef IO::offset_type | offset_type
| Integer data type for seek() and tell() offsets. More...

## Public Member Functions
IO * | getIO ()
| Get the underlying IO object. More...

## Protected Types
typedef unsigned char | byte_t

## Protected Member Functions
| ~Stream (void)
| Stream (void)

## Protected Attributes
IO * | m_io
size_t | m_size
offset_type | m_pos
byte_t * | m_head
byte_t * | m_cur
byte_t * | m_tail

## Detailed Description

Definition at line 23 of file Stream.h.

## Member Typedef Documentation

typedef unsigned char Stream::byte_t
| protected

Definition at line 59 of file Stream.h.

typedef IO::offset_type Stream::offset_type

Definition at line 48 of file Stream.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DefaultBufferSize |

Definition at line 30 of file Stream.h.

enum Stream::Mode

Enumerator
MODE_SET | seek from the begining of the file
MODE_CUR | seek from the current location in the file
MODE_END | seek from the end of the file

Definition at line 35 of file Stream.h.

## Constructor & Destructor Documentation

Stream::~Stream | ( | void | ) |  |
| protected

Stream::Stream | ( | void | ) |  |
| protected

## Member Function Documentation

IO* Stream::getIO | ( | ) |  |

## Member Data Documentation

byte_t* Stream::m_cur
| protected

Definition at line 65 of file Stream.h.

byte_t* Stream::m_head
| protected

Definition at line 64 of file Stream.h.

IO* Stream::m_io
| protected

Definition at line 61 of file Stream.h.

offset_type Stream::m_pos
| protected

Definition at line 63 of file Stream.h.

size_t Stream::m_size
| protected

Definition at line 62 of file Stream.h.

byte_t* Stream::m_tail
| protected

Definition at line 66 of file Stream.h.

The documentation for this class was generated from the following file:

- Stream.h

LizardTech